Bug 1460767 - xmlrpc fails to build in Fedora 26
xmlrpc fails to build in Fedora 26
Product: Fedora
Classification: Fedora
Component: xmlrpc (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-06-12 12:33 EDT by Troy Dawson
Modified: 2017-07-24 00:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.1.3-17
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-07-24 00:49:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Add junit to pom deps (1.26 KB, patch)
2017-06-12 12:47 EDT, Troy Dawson
no flags Details | Diff

  None (edit)
Description Troy Dawson 2017-06-12 12:33:07 EDT
Description of problem:
xmlrpc no longer builds on Fedora 26

Version-Release number of selected component (if applicable):

How reproducible:
100% if your Fedora 26 is up to date

Steps to Reproduce:
1.koji build --scratch f26 xmlrpc-3.1.3-16.fc26.src.rpm

Actual results:
DEBUG: [INFO] Compiling 20 source files to /builddir/build/BUILD/apache-xmlrpc-3.1.3-src/server/target/test-classes
DEBUG: [INFO] /builddir/build/BUILD/apache-xmlrpc-3.1.3-src/server/src/test/java/org/apache/xmlrpc/test/JiraTest.java: Some input files use unchecked or unsafe operations.
DEBUG: [INFO] /builddir/build/BUILD/apache-xmlrpc-3.1.3-src/server/src/test/java/org/apache/xmlrpc/test/JiraTest.java: Recompile with -Xlint:unchecked for details.
DEBUG: [INFO] -------------------------------------------------------------
DEBUG: [INFO] -------------------------------------------------------------
DEBUG: [ERROR] /builddir/build/BUILD/apache-xmlrpc-3.1.3-src/server/src/test/java/org/apache/xmlrpc/test/XmlRpcTestCase.java:[26,23] package junit.framework does not exist
DEBUG: [ERROR] /builddir/build/BUILD/apache-xmlrpc-3.1.3-src/server/src/test/java/org/apache/xmlrpc/test/XmlRpcTestCase.java:[46,46] cannot find symbol
DEBUG:   symbol: class TestCase

Expected results:
Expect it to build

Additional info:
I tracked this down to the ws-commons-util to ws-commons-util-1.0.2-5.fc26
Comment 1 Troy Dawson 2017-06-12 12:47 EDT
Created attachment 1287075 [details]
Add junit to pom deps

The update to ws-commons-util-1.0.2-5.fc26 changed their pom file to only pull in the junit as a dependency during tests.  Evidently xmlrpc was using this to get junit into the enviroment, even though junit was being installed.
This patch adds junit to xmlrpc's dependencies, allowing it to build correctly.
Comment 2 Mikolaj Izdebski 2017-06-13 05:35:21 EDT
Thank you for the patch, I've applied it with minor modification.
Comment 3 Fedora Update System 2017-07-12 08:13:02 EDT
xmlrpc-3.1.3-17.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-59a2906489
Comment 4 Fedora Update System 2017-07-12 14:22:51 EDT
xmlrpc-3.1.3-17.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-59a2906489
Comment 5 Fedora Update System 2017-07-22 23:55:02 EDT
xmlrpc-3.1.3-17.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Mikolaj Izdebski 2017-07-24 00:49:59 EDT
I believe that this bug is fixed in xmlrpc-3.1.3-17,
which is available in updates for Fedora 26, so I am closing this bug now.

The build containing the fix can be found at Koji:

Note You need to log in before you can comment on or make changes to this bug.